Page MenuHomeVyOS Platform

HTTP API move to flask/flask-restx as microframework
Closed, ResolvedPublicFEATURE REQUEST

Description

Flask is a microframework similar to bottle, which is currently used for the HTTP API. The Flask extension flask-restx provides Swagger support for exposing the existing api as an OpenAPI document.

Details

Difficulty level
Unknown (require assessment)
Version
vyos 1.3
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Related Objects

Event Timeline

jestabro changed the task status from Open to In progress.Apr 29 2020, 5:26 AM
jestabro triaged this task as Normal priority.
jestabro created this task.
jestabro created this object in space S1 VyOS Public.

https://github.com/vyos/vyos-1x/compare/current...jestabro:openapi?expand=1

This has a dependency on python3-flask-restx, which will need to be added using, for example, T2396.

pasik added a subscriber: pasik.Apr 30 2020, 9:40 AM
jestabro changed the status of subtask T2397: HTTP API: export OpenAPI definition from In progress to Needs testing.May 27 2020, 7:13 PM
jestabro closed this task as Resolved.May 27 2020, 7:27 PM
jestabro moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.

The dependency on flask-restx was dropped, in favor of FastAPI. The move to Flask itself for stability was completed,